import java.io.*;
import javax.swing.*;

public class IO_Util
{
  public static String getCurrentDirectory()
  {
    File file = new File("");
    return file.getAbsolutePath();
  }

  public static void main(String[] args)
  {
    String s = IO_Util.getCurrentDirectory();
    System.out.println(s);
  }
  //does cards.txt common.txt, uncommon.txt, rare.txt exist?
  public static void checkFiles()
  {
    boolean exit = false;

    String newLine = "\r\n";

    String message = "Please put this program in the same directory as MTG Forge" +newLine +newLine;

    if(notFound("cards.txt"))
    {
      exit = true;
      message += "cards.txt not found" +newLine;
    }

    if(notFound("common.txt"))
    {
      exit = true;
      message += "common.txt not found" +newLine;
    }

    if(notFound("uncommon.txt"))
    {
      exit = true;
      message += "uncommon.txt not found" +newLine;
    }

    if(notFound("rare.txt"))
    {
      exit = true;
      message += "rare.txt not found" +newLine;
    }

    if(exit)
    {
      try{
       Error.report(message);
      }
      catch(Exception ex)
      {
        System.exit(0);
      }
    }//if exit
  }//checkFiles()

  public static boolean notFound(String filename)
  {
    filename = Filename.getPathFor(filename);

    File f = new File(filename);
    return ! f.exists();
  }
}