import java.io.*;
import java.util.*;

public class IO_Write
{
  //writes the files "common.txt", "uncommon.txt", "rare.txt"
  static public void writeAllFiles(GuiTable_Rarity rarity)
  {
    writeFile(Filename.getPathFor("common.txt")  , rarity.getCommon());
    writeFile(Filename.getPathFor("uncommon.txt"), rarity.getUncommon());
    writeFile(Filename.getPathFor("rare.txt")    , rarity.getRare());
  }

  static private void writeFile(String filename, ArrayList list)
  {
    try
    {
      Collections.sort(list);

      BufferedWriter io = new BufferedWriter(new FileWriter(filename));
      for(int i = 0; i < list.size(); i++)
        io.write(list.get(i) +"\r\n");

      io.flush();
      io.close();
    }
    catch(Exception ex)
    {
      Error.report("IO_Write : writeFile() error, problem with file - " +filename +" : " +ex);
    }
  }//writeFile()

  public static void main(String[] args)
  {
    IO_Write io = new IO_Write();
    ArrayList list = new ArrayList();
    list.add("a");
    list.add("B");
    list.add("CC");
    list.add("d3");

    io.writeFile("common2.txt", list);
    System.exit(0);
  }
}