import javax.swing.*;
import java.awt.*;

/*
 Creature Spells	 Total
Green	    34     15      90
White	    34     15      90
Artifacts   20	    15	   35
Gold	    10	    10	   20
Land			   20
Total	    70      80	   150


 common	uncommon  rare  total
Green	 34	   15      32	 90
White	 34	   15      32	 90
Artifacts 5          2     7     12
Gold      15         10    10    45
Land     10         5      5     20
Total    40        50      70   150
*/

public class Run_Project
{
  public static void main(String[] args)
  {
    //does cards.txt, common.txt, uncommon.txt, rare.txt exist?
    //this exits if those files are not found
    IO_Util.checkFiles();

    showWarning();

    changeWhiteBackgroundToGray();

    Gui gui = new Gui();

    gui.setSize(930, 720);
    gui.setVisible(true);
  }

  private static void changeWhiteBackgroundToGray()
  {
    //this is deep voodoo, don't read
    try{
      Object[] o = UIManager.getInstalledLookAndFeels();
      if(3 < o.length)
      {
      final Color background = new Color(204, 204, 204);

      UIManager.put("JTable.background", background);
      UIManager.put("Panel.background", background);
      UIManager.put("JPanel.background", background);
      UIManager.put("Button.background", background);
      UIManager.put("RadioButton.background", background);
      UIManager.put("MenuBar.background", background);
      UIManager.put("Menu.background", background);
      UIManager.put("ComboBox.background", background);
      UIManager.put("MenuItem.background", background);
      UIManager.put("Dialog.background", background);
      UIManager.put("OptionPane.background", background);
      UIManager.put("ScrollBar.background", background);
      }
    }catch(Exception ex) {}
  }

  private static void showWarning()
  {
    String message = "This program modifies common.txt, uncommon.txt and, rare.txt"
                     +"\r\n"
                     +"Please make backups and copies as necessary.";

    JOptionPane.showMessageDialog(null, message, "Warning", JOptionPane.ERROR_MESSAGE);
  }
}