import java.io.*;

public class Temp
{
  public static void main(String[] args)
  {
    checkFilenames();

    Filename.editQuestBooster();
    checkFilenames();

    System.out.println("Done Testing");
  }

  static void checkFilenames()
  {
    checkFilename("cards.txt");
    checkFilename("common.txt");
    checkFilename("uncommon.txt");
    checkFilename("rare.txt");
  }

  static void checkFilename(String filename)
  {
    String path = Filename.getPathFor(filename);
    File f = new File(path);

    if(f.exists() == false)
      System.out.println("ERROR ERROR - file not found - " +filename +" " +path);
  }
}